Your submission was sent successfully! Close

CVE-2012-2666

Published: 9 July 2021

golang/go in 1.0.2 fixes all.bash on shared machines. dotest() in src/pkg/debug/gosym/pclntab_test.go creates a temporary file with predicable name and executes it as shell script.

Notes

AuthorNote
mdeslaur
Packages built using golang need to be rebuilt once the
vulnerability has been fixed. This CVE entry does not
list packages that need rebuilding outside of the main
repository or the Ubuntu variants with PPA overlays.
sbeattie
fixed in 1.0.2
Priority

Low

CVSS 3 base score: 9.8

Status

Package Release Status
golang
Launchpad, Ubuntu, Debian
bionic Does not exist

focal Does not exist

groovy Does not exist

hirsute Does not exist

impish Does not exist

jammy Does not exist

trusty Does not exist

upstream
Released (1.0.2)
xenial Does not exist

golang-1.10
Launchpad, Ubuntu, Debian
bionic Not vulnerable
(1.0.2)
focal Does not exist

groovy Does not exist

hirsute Does not exist

impish Does not exist

jammy Does not exist

trusty Not vulnerable
(1.0.2)
upstream Not vulnerable
(1.0.2)
xenial Not vulnerable
(1.0.2)
golang-1.13
Launchpad, Ubuntu, Debian
bionic Not vulnerable
(1.0.2)
focal Not vulnerable
(1.0.2)
groovy Not vulnerable
(1.0.2)
hirsute Not vulnerable
(1.0.2)
impish Not vulnerable
(1.0.2)
jammy Not vulnerable
(1.0.2)
trusty Does not exist

upstream Not vulnerable
(1.0.2)
xenial Not vulnerable
(1.0.2)
golang-1.14
Launchpad, Ubuntu, Debian
bionic Does not exist

focal Not vulnerable
(1.0.2)
groovy Not vulnerable
(1.0.2)
hirsute Not vulnerable
(1.0.2)
impish Does not exist

jammy Does not exist

trusty Does not exist

upstream Not vulnerable
(1.0.2)
xenial Does not exist

golang-1.15
Launchpad, Ubuntu, Debian
bionic Does not exist

focal Does not exist

groovy Not vulnerable
(1.0.2)
hirsute Not vulnerable
(1.0.2)
impish Not vulnerable
(1.0.2)
trusty Does not exist

upstream Not vulnerable
(1.0.2)
xenial Does not exist

golang-1.16
Launchpad, Ubuntu, Debian
bionic Does not exist

focal Not vulnerable
(1.0.2)
groovy Does not exist

hirsute Not vulnerable
(1.0.2)
impish Not vulnerable
(1.0.2)
jammy Does not exist

trusty Does not exist

upstream Not vulnerable
(1.0.2)
xenial Ignored
(out of standard support)
golang-1.6
Launchpad, Ubuntu, Debian
bionic Does not exist

focal Does not exist

groovy Does not exist

hirsute Does not exist

impish Does not exist

jammy Does not exist

trusty Does not exist

upstream Not vulnerable
(1.0.2)
xenial Not vulnerable
(1.0.2)
golang-1.8
Launchpad, Ubuntu, Debian
bionic Not vulnerable
(1.0.2)
focal Does not exist

groovy Does not exist

hirsute Does not exist

impish Does not exist

jammy Does not exist

trusty Does not exist

upstream Not vulnerable
(1.0.2)
xenial Does not exist

golang-1.9
Launchpad, Ubuntu, Debian
bionic Not vulnerable
(1.0.2)
focal Does not exist

groovy Does not exist

hirsute Does not exist

impish Does not exist

jammy Does not exist

trusty Does not exist

upstream Not vulnerable
(1.0.2)
xenial Does not exist